$(document).ready(function () {
  var pathn = $('meta[name="api-url"]').attr("content") + "supplier";
  var i = 1;

  var reporttables = $("#supplier-po").DataTable({
    order: [[0, "desc"]],
    serverSide: true,
    stateSave: true,
    processing: true,
    pageLength: 20,
    lengthMenu: [
      [
        5, 20, 50, 75, 100, 125, 150, 175, 200, 225, 250, 275, 300, 325, 350,
        375, 400, 420, 450, 475, 500,
      ],
      [
        5, 20, 50, 75, 100, 125, 150, 175, 200, 225, 250, 275, 300, 325, 350,
        375, 400, 420, 450, 475, 500,
      ],
    ],
    language: {
      processing:
        '<div style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%); z-index: 999999;">' +
        '<img src="img/LoaderIcon.gif" width="40" height="40" style="margin-right: 10px;">' +
        '<div style="font-size: 16px;">Please wait...</div>' +
        "</div>",
    },

    ajax: {
      type: "GET",
      url: pathn,
      data: function (d) {
        (d.pagenme = "{{ basename(url()->current()) }}"),
          (d.pono = $("#searchValue").val());
      },
      headers: {
        Authorization: "Bearer " + sessionStorage.getItem("token"),
      },
    },
    beforeSend: function (xhr) {
      xhr.setRequestHeader(
        "Authorization",
        "Bearer " + sessionStorage.getItem("token")
      );
    },
    searching: false,
    iDisplayLength: 20,
    columnDefs: [
      {
        targets: 0,
        className: "text-center",
        render: function (data, type, row, meta) {
          return i++;
        },
      },
      {
        targets: 1,
        orderable: true,
        render: function (data, type, row, meta) {
          return (
            '<input type="checkbox" name="selectedCheckbox[]" id="' +
            row.pono +
            '" value="' +
            row.pono +
            '">'
          );
        },
      },
      {
        targets: 2,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.pono;
        },
      },
      {
        targets: 3,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.podate;
        },
      },
      {
        targets: 4,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.poamount;
        },
      },
      {
        targets: 5,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.buyername;
        },
      },
      {
        targets: 6,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.grncount;
        },
      },
      {
        targets: 7,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.reqdate;
        },
      },
      {
        targets: 8,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.commitedate;
        },
      },
      {
        targets: 9,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.status;
        },
      },
    ],
  });

  $("#supplier-po").on("click", 'input[type="checkbox"]', function () {
    // var checkboxRow = $(this).closest("tr");
    var inputsearch = $("#searchValue").val();
    // console.log(checkboxRow);
    if (this.checked) {
      var searchValue = $(this).val();
      if (inputsearch != "") {
        searchValue += "," + inputsearch;
      }

      $("#searchValue").val(searchValue);

      // Clone the row
      // var clonedRow = checkboxRow.clone();
      // Prepend the cloned row to the table body
      // $("#supplier-po tbody").prepend(clonedRow);
      // Remove the original row
      // checkboxRow.remove();
    } else {
      // Get the value of the unchecked checkbox
      var uncheckedValue = $(this).val();
      // Split the current search value into an array
      var searchValuesArray = inputsearch.split(",");
      console.log(searchValuesArray);
      // Remove the unchecked value from the array
      var index = searchValuesArray.indexOf(uncheckedValue);
      console.log(index);
      if (index > -1) {
        searchValuesArray.splice(index, 1);
      }
      // Join the array back into a string
      var updatedSearchValue = searchValuesArray.join(",");
      // Update the search value input
      $("#searchValue").val(updatedSearchValue);
    }
  });
});
